Bug 793 - X server, mga driver, crashes with Option "DPMS" in monitor section
Summary: X server, mga driver, crashes with Option "DPMS" in monitor section
Status: RESOLVED FIXED
Alias: None
Product: xorg
Classification: Unclassified
Component: Server/General (show other bugs)
Version: 6.7.0
Hardware: x86 (IA32) Linux (All)
: medium major
Assignee: Xorg Project Team
QA Contact:
URL:
Whiteboard:
Keywords: want-backtrace
Depends on:
Blocks:
 
Reported: 2004-06-22 08:32 UTC by J. Scott Berg
Modified: 2007-02-22 14:26 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
/var/log/Xorg.0.log (35.95 KB, text/plain)
2004-06-22 08:35 UTC, J. Scott Berg
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description J. Scott Berg 2004-06-22 08:32:03 UTC
X server starts up OK.  Almost everything runs just fine.  I run xmgrace (grace,
a plotting package, uses the lesstif widget set).  Select Plot->Axis properties,
select the Axis label & bar tab, and the SERVER crashes (segfault), but only if
I have Option "DPMS" in the monitor section.  If I comment that option out,
there is no problem.  Adding Option "NoHAL" "True" to the Device section doesn't
help.

Linux, kernel 2.4.26, glibc-2.3.2, gcc-3.4.0.
xorg-6.7.0 built from source, here is the interesting stuff in host.def:

#define HaveMatroxHal		YES
#define DefaultGcc2i386Opt	-O2 -march='pentium4'
#define TermcapLibrary		-lncurses
#define ExpandManNames		YES
#define UsePosix		YES
#define ForceNormalLib		YES
#define CppCmd		/opt/gcc/bin/cpp
#define HasZlib		YES
#define HasLibpng	YES
#define LibpngDir	/opt/libpng
#define HasFreetype2	YES
#define Freetype2Dir	/opt/freetype
#define HasFontconfig	YES
#define FontconfigDir	/opt/fontconfig
#define HasExpat	YES
#define ExpatDir	/opt/expat

Versions of the existing libraries are ncurses-5.4, zlib-1.2.1, libpng-1.2.5,
freetype-2.1.8, fontconfig-2.2.2, expat-1.95.7.  Matrox HAL is 3.0.

lesstif uses fontconfig and freetype.
Comment 1 J. Scott Berg 2004-06-22 08:35:21 UTC
Created attachment 408 [details]
/var/log/Xorg.0.log

/var/log/Xorg.0.log for the crash.  Used Option "NoHAL" "True" in this case.
Comment 2 J. Scott Berg 2004-06-22 08:40:01 UTC
Almost forgot: added -DHAVE_FT_BITMAP_SIZE_Y_PPEM=1 to DEFINES in
xc/lib/Xft/Imakefile, otherwise Xft won't work quite right with bitmap fonts and
freetype-2.1.8.
Comment 3 J. Scott Berg 2004-06-22 16:25:01 UTC
It appears to be specific to the mga driver: I have another machine with the
same configuration but with a radeon driver, and there is no problem.
Comment 4 Adam Jackson 2005-07-03 14:49:40 UTC
starting with the 6.8.99.14 snapshot, on linux systems, the X server can print
its own backtrace when it crashes.  please confirm that these bugs are still
valid with 6.8.99.14 or later, and if they are please attach a the server log
from the crash.
Comment 5 Adam Jackson 2005-10-21 22:39:22 UTC
a quick look over the mga driver doesn't show anything obviously wrong with the
DPMS support.  scott, please reopen this when you have a log with a backtrace in it.
Comment 6 Timo Jyrinki 2007-02-22 14:26:17 UTC
Marking broken (status null/blank) bugs in xorg with no activity in a long time as fixed. Please reopen if you think it's necessary, but first do a search if a similar bug report is already filed and in a NEW/ASSIGNED state. These bugs do not currently show in most search results as they do not have any status.

Sorry for this janitorial spam, you know where to send hate mails to when your inbox gets full of bugs you're subscribed to.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.